Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.graphicimageajax
Class GraphicImageAjaxPhaseListener

    java.lang.Object
      org.apache.myfaces.custom.graphicimageajax.GraphicImageAjaxPhaseListener

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.PhaseListener, java.io.Serializable

public class GraphicImageAjaxPhaseListener
extends java.lang.Object
implements javax.faces.event.PhaseListener

Version:
  $Revision: 292080 $ $Date: $

  $Log: $
Author:
  Martin Marinschek
See Also:
  Serialized Form

Constructor Summary
`GraphicImageAjaxPhaseListener()`

Method Summary
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId` | `getPhaseId()` We need to hang our AJAX phase listener in the invoke application phase as it is impossible to stop rendering in the render response phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicImageAjaxPhaseListener

    public GraphicImageAjaxPhaseListener()

Method Detail

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  We need to hang our AJAX phase listener in the invoke application phase as it is impossible to stop rendering in the render response phase.

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`
  Returns:
    PhaseId The AJAX phase listener will be invoked after the invoke application phase.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD